# Redirect 4xx

## Overview

This module is intended for special cases where you need to unify error pages under a single URL.

Redirecting error pages can negatively impact SEO, as search engines rely on 404 errors to identify removed content. In general, it is recommended **not to redirect** error pages unless absolutely necessary.

## Features

- Redirect 4xx errors (e.g., 403, 404) to custom paths.

## Installation

You can install this module using Composer:

```sh
composer require drupal/redirect4xx
```

## Configuration

1. Navigate to the module configuration page: /admin/config/system/redirect4xx
2. Configure the desired redirects for different 4xx error codes.

## Usage

After configuring the redirects, the module will automatically handle 4xx errors and redirect users to the specified paths.

## Acknowledgments

This module was inspired by the [Redirect 403 to User Login](https://www.drupal.org/project/r4032login) module, which provides similar functionality by redirecting 403 errors to the login page. Special thanks to its contributors for their work in improving the Drupal ecosystem.

## Maintainers

[Yutaro Ohno (u7aro)](https://www.drupal.org/u/u7aro)

## License

This project is licensed under the GNU General Public License, version 2 or later.
